//#include "Budowniczy.cpp";
//#include "MetodaWytworcza.cpp";
#include "FabrykaAbstrakcyjna.cpp";

int main()
{
	/*
	//Budowniczy
	PizzaDirector* pd = new PizzaDirector();
	PizzaBuilder* pb = new MargaritaBuilder();
	pd->StwrzPizz(*pb);
	cout << "Stworzona pizza: " << endl << endl;
	pb->GetPizza()->Drukuj();
	*/

	/*
	//Metoda wytwrcza
	PizzaMaker* pm = new MargaritaMaker();
	pm->PrzygotujPizz();
	cout << "Stworzona pizza: " << endl << endl;
	pm->GetPizza()->Drukuj();
	*/

	//Fabryka abstrakcyjna
	FabrykaZabawek* fze = new FabrykaZabawekElektrycznych();
	FabrykaZabawek* fzd = new FabrykaZabawekDrewnianych();
	Samochd* samochdElektryczny = fze->StwrzSamochd();
	Samochd* samochdDrewniany = fzd->StwrzSamochd();	
	samochdElektryczny->Drukuj();
	samochdDrewniany->Drukuj();

	return 0;
}